The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Delete Domain Name Exceptions from the IPS Inspection Allowlist

Prev Next

This URL deletes the domain name exceptions specified in the string list.

Resource URL

DELETE /domainnameexceptions/ipsinspectionallowlist

Request Parameters

URL Parameters: None

Payload Request Parameters:

Field Name Description Data Type Mandatory
domainName List of domain names StringList Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
status Set to 1 if the operation was successful Number

Example

Request

DELETE https://%3CNSM_IP%3E/sdkapi/domainnameexceptions/ipsinspectionallowlist

Payload

{
"domainName": ["www.google.com", 
"www.abc.com",
"www.test.com"]
} 

Response

{
“status”:1
} 
 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error message: Internal server error
2 500 1001 Internal error message: no domain name is given to delete.
3 500 1001 Deletion failed: Domain name <domainName> does not exist.
4 500 1001 One or more of the selected domain name is a default domain, which cannot be deleted.
5 500 1001 Duplicate domain name